Bug 6601 - backport of tdb fixes
backport of tdb fixes
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: File services
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-03 04:17 UTC by Stefan Metzmacher
Modified: 2009-08-14 03:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2009-08-03 04:17:34 UTC
Hi,

I think we should backport some tdb fixes to the release branches,
because e17df483fbedb81aededdef5fbb6ae1d034bc2dd introduces bugs.

3b2f074bda8734a0 tdb: Reimplementation of Metze's "lib/tdb: if we know pwrite and pread are thread/fork safe tdb_reopen_all() should be a noop".

fa91bc67199f0d45 tdb: Revert "lib/tdb: if we know pwrite and pread are thread/fork safe tdb_reopen_all() should be a noop"

At least we should backport the revert to match what we have in 3.2 and 3.3

Jeremy, I added e17df483fbedb81aededdef5fbb6ae1d034bc2dd because you had some trouble this tdb_reopen_all() but I don't remember the details and bug id...

metze
Comment 1 Karolin Seeger 2009-08-13 09:22:14 UTC
Volker, Jeremy, is that should be included in 3.4.1, right?
Comment 2 Volker Lendecke 2009-08-13 14:12:59 UTC
Yes, I think so.

Volker
Comment 3 Jeremy Allison 2009-08-13 14:33:07 UTC
Yes, I agree also.
Jeremy.
Comment 4 Karolin Seeger 2009-08-14 03:31:12 UTC
Pushed, closing out bug report.

Thanks!